package binary_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type BinaryDetailRequest struct {
	// <ext>core:true</ext> 【第三方业务系统数据签名id】第三方业务系统数据签名id 【传参】 数据签名id和第三方业务系统数据签名id必传其一，均传入以数据签名id为准。
	BizId string `json:"bizId,omitempty"`
	// <ext>core:true;format:string</ext> 【数据签名id】数据签名id 【传参】 数据签名id和第三方业务系统数据签名id必传其一，均传入以数据签名id为准。
	Id *int64 `json:"id,omitempty"`
}

func (obj BinaryDetailRequest) GetUrl() string {
	return "/binary/detail"
}

func (obj BinaryDetailRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("bizId", obj.BizId)
	parameter.AddParam("id", obj.Id)
	return parameter
}
